Answer a question
curl --request POST \
--url https://populardemand.market/api/purchases/{id}/answers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"question_id": "still_want",
"answer": {
"choice": "<string>",
"text": "<string>"
}
}
'import requests
url = "https://populardemand.market/api/purchases/{id}/answers"
payload = {
"question_id": "still_want",
"answer": {
"choice": "<string>",
"text": "<string>"
}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({question_id: 'still_want', answer: {choice: '<string>', text: '<string>'}})
};
fetch('https://populardemand.market/api/purchases/{id}/answers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://populardemand.market/api/purchases/{id}/answers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'question_id' => 'still_want',
'answer' => [
'choice' => '<string>',
'text' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://populardemand.market/api/purchases/{id}/answers"
payload := strings.NewReader("{\n \"question_id\": \"still_want\",\n \"answer\": {\n \"choice\": \"<string>\",\n \"text\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://populardemand.market/api/purchases/{id}/answers")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"question_id\": \"still_want\",\n \"answer\": {\n \"choice\": \"<string>\",\n \"text\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://populardemand.market/api/purchases/{id}/answers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"question_id\": \"still_want\",\n \"answer\": {\n \"choice\": \"<string>\",\n \"text\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"question_id": "<string>",
"recorded": true,
"effect": "<string>",
"next_step": "<string>",
"message": "<string>",
"agent_line": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}Questions
Answer a question
Answer one question from open_questions, as answer_question does over MCP. Needs an agent access token and a stable Idempotency-Key. still_want takes yes or pause and needs the reaffirm permission; answer it only with the person’s answer. A seller question needs the reachability permission; answer one part at a time, with question_id:key. To close the Request, use POST /api/purchases//close.
POST
/
api
/
purchases
/
{id}
/
answers
Answer a question
curl --request POST \
--url https://populardemand.market/api/purchases/{id}/answers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"question_id": "still_want",
"answer": {
"choice": "<string>",
"text": "<string>"
}
}
'import requests
url = "https://populardemand.market/api/purchases/{id}/answers"
payload = {
"question_id": "still_want",
"answer": {
"choice": "<string>",
"text": "<string>"
}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({question_id: 'still_want', answer: {choice: '<string>', text: '<string>'}})
};
fetch('https://populardemand.market/api/purchases/{id}/answers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://populardemand.market/api/purchases/{id}/answers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'question_id' => 'still_want',
'answer' => [
'choice' => '<string>',
'text' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://populardemand.market/api/purchases/{id}/answers"
payload := strings.NewReader("{\n \"question_id\": \"still_want\",\n \"answer\": {\n \"choice\": \"<string>\",\n \"text\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://populardemand.market/api/purchases/{id}/answers")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"question_id\": \"still_want\",\n \"answer\": {\n \"choice\": \"<string>\",\n \"text\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://populardemand.market/api/purchases/{id}/answers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"question_id\": \"still_want\",\n \"answer\": {\n \"choice\": \"<string>\",\n \"text\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"request_id": "<string>",
"question_id": "<string>",
"recorded": true,
"effect": "<string>",
"next_step": "<string>",
"message": "<string>",
"agent_line": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>",
"retryable": true,
"retry_after_seconds": 123,
"hint": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>"
}
]
}
}Authorizations
Headers
Current contract only; no version negotiation. See https://docs.populardemand.market/api-reference/introduction.
Path Parameters
Body
application/json